<?php

namespace Macymed\MacymedLinkTracker;

use Macymed\MacymedLinkTracker\Utils\RedirectPage;
use Macymed\MacymedLinkTracker\Utils\Assets;
use Macymed\MacymedLinkTracker\Utils\Tracking;
use Macymed\MacymedLinkTracker\Utils\Utils;

// Inclure WordPress pour utiliser ses fonctions
require_once __DIR__ . '/../../../wp-load.php';

// Récupérer le nonce depuis l'URL
$nonce = isset($_GET['mtl_nonce']) ? sanitize_text_field(wp_unslash($_GET['mtl_nonce'])) : '';

// Vérifier le nonce
if ($nonce && !wp_verify_nonce($nonce, 'redirect_external_action')) {
    wp_die(esc_html__('Invalid nonce or expired link.', 'macymed-link-tracker'));
}

RedirectPage::init();

// Récupérer l'URL depuis les paramètres GET

// Enregistrer le clic et rediriger
Tracking::recordClick();

// Désactiver le cache pour cette page
header('Cache-Control: no-cache, must-revalidate'); // HTTP 1.1.
header('Pragma: no-cache'); // HTTP 1.0.
header('Expires: 0'); // Provoque une expiration immédiate
?>

<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    
    <?php wp_head(); ?>
    <?php do_action('macymed_link_tracker_redirect_page_head'); ?>
</head>

<body class="macymed_link_tracker_redirect">
        <?php
        do_action('macymed_link_tracker_redirect_page_logo');
?>
        
        <?php
do_action('macymed_link_tracker_redirect_page_title');
?>
        <?php
do_action('macymed_link_tracker_redirect_page_message');
?>

        <?php
do_action('macymed_link_tracker_redirect_page_buttons');
?>
        
    

    <?php wp_footer(); ?>
</body>

</html>